OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ConnectNodeMaskSegments< TreeType, NodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | NodeMaskType = typename NodeType::NodeMaskType
using | NodeMaskSegmentType = NodeMaskSegment< NodeType >
using | NodeMaskSegmentTypePtr = typename NodeMaskSegmentType::Ptr
using | NodeMaskSegmentVector = typename std::vector< NodeMaskSegmentTypePtr >

## Public Member Functions
| ConnectNodeMaskSegments (const TreeType &tree, NodeMaskSegmentVector *nodeMaskArray)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ NodeMaskSegmentType

using NodeMaskSegmentType = NodeMaskSegment<NodeType>

## ◆ NodeMaskSegmentTypePtr

using NodeMaskSegmentTypePtr = typename NodeMaskSegmentType::Ptr

## ◆ NodeMaskSegmentVector

using NodeMaskSegmentVector = typename std::vector<NodeMaskSegmentTypePtr>

## ◆ NodeMaskType

using NodeMaskType = typename NodeType::NodeMaskType

## Constructor & Destructor Documentation

## ◆ ConnectNodeMaskSegments()

ConnectNodeMaskSegments | ( | const TreeType & | tree,
|  | NodeMaskSegmentVector * | nodeMaskArray
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h